<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
define('IN_IORANGE', true);
include('../include/init.php');
 
//iexit('功能调整，暂时关闭，开放日期待定');
$target = url('index');

$sql = 'SELECT adid,url FROM '.Ad::table().' WHERE `type` = 2 AND `status` = 1 AND ((`quota` <> 0 AND `quota` > `day`) OR `quota` = 0) ORDER BY rand() DESC LIMIT 1';
$ad = $db->setQueryString($sql)->find(true);
if (empty($ad))
{
    $sql = "SELECT adid,url FROM ".Ad::table()." WHERE `type` = 2 AND `status` = 1 ORDER BY rand() DESC LIMIT 1";
    $ad = $db->setQueryString($sql)->find(true);
}

if (!empty($ad))
{     
	if (!IS_MOBILE && !isUCWeb())
	{
        if (!setting('adsnomobile'))
        {
            $create = date('Y-m-d H:i:s');
            $sql = "REPLACE INTO ".Adip::table()." SET `ip` = '$onlineip', `sid` = '$sid', `createdate` = '$create'";
            $db->query($sql);
            $message = "尊贵的会员，系统检测您当前并非使用手机访问进行抽奖,如果您现在的确使用手机访问而看到此提示,请勿担心,我们已经记录并会在24小时为你解决.<br/>[温馨提示]:<br/>1,电信用户暂不支持抽奖活动,可参加书会或社区活动获得更多".setting('creditname')."<br/>2,如果您当前使用的是ucweb浏览器,请进入浏览器的系统设置->关闭页面压缩功能即可正常使用.<br/>同时您也可以使用我们专门为不能抽奖用户准备的签到功能进行签到，同样也能获得".setting('creditname')."奖励，还等什么，".ilink('马上去签到', url('system', array('s'=>'member','a'=>'sign')))."吧！";
            iexit($message);
        }
	}
 	$id = $ad['adid'];
 	$date = date("Y-m-d");
 	 
 	if ($iorange_id)
 	{
	 	if (empty($_GET['v']))
	 	{
	 	 	if ($_IORANGE['user']['ads'] > 1)
	 	 	{
	 	 	    $_SESSION['user']['ads'] = 1;
		 	 	$db->query("UPDATE {$mTable} SET `ads` = `ads` -1 WHERE `uid` = '$iorange_id'");
		 	 	$point = rand($cfg_ads_least_point, $cfg_ads_largest_poin);
		 	 	$valid_key = time() + rand(0, 9) + $iorange_id;
		 	 	$db->query("INSERT INTO `".Adtmp::table()."` (`valid_key`, `uid`, `point`, `createdate`) VALUES ('$valid_key', $iorange_id, $point, NOW())");
                $link = getLink();
		 	 	$message[] = '哇!好手气！这次抽到<b>'.$point.'</b>个'.setting('creditname').'!<br/>'.$link;
				$message[] = '哈哈，还有<b>'.($_IORANGE['user']['ads'] - 2).'</b>次抽奖机会哦！';
                $message[] = '必看:全新升级抽奖系统,进入兑奖后会跳到一个页面,必须随便点击页面上的任意一条链接才可成功领取'.setting('creditname').',否则无效.';
	 	 	}
	 	 	else
	 	 	{
	 	 	 	$message[] = '哦,亲爱的' . ubb($_IORANGE['user']['username'])  . '，您今天的抽奖机会已经用完啦,明天记得再来试试手气哦!<br/>'.memberLink('返回书房');
	 	 	}
	 	}
	 	else 
	 	{
	 	 	$valid_key = intval($_GET['v']);
	 	 	$query = $db->query("SELECT * FROM `".Adtmp::table()."` WHERE `valid_key` = '$valid_key'");
	 	 	$row = $db->getArr($query);
	 	 	 
	 	 	if (!empty($row))
	 	 	{
	 	 	    $ruid = $ruid ? $ruid : 0;
                $add = '`count`=count+1,`day` = `day` + 1';
                IS_MOBILE && $add .= ',day_valid = day_valid + 1';
                $db->query("UPDATE `".Ad::table()."` SET {$add} WHERE `adid`='$id'");
			 	$db->query("INSERT INTO `".Adlog::table()."` (`adid`, `ip`, `date`, `valid`, `uid`, `ruid`) VALUES ('$id', '$onlineip', '$date', '1', '{$iorange_id}', '{$ruid}')");
			 	$forwardUrl = url('ads/jumper',array('aid'=>$id, 'v'=>$valid_key));
			 	iforward($forwardUrl);
	 	 	}
 
		    $target = $ad['url'];
	 	}
 	}
 	else
 	{
 	 	$message[] = '抱歉,您今天的抽奖机会已经用完,明天再来试试手气哦!<br/>返回'.memberLink().'.'.indexLink();
 	}
 	 
 	if (!empty($message))
 	{
 	 	$sleep = 1000000;
 	 	iexit($message);
 	}
}
iforward($target);

function getLink()
{
    global $valid_key;

    return ilink('赶紧进入兑奖中心领取&gt;&gt;', url('ads/ads', array('v'=>$valid_key)));
}